%include	/usr/lib/rpm/macros.perl
Summary:	System for using free software printer drivers
Summary(pl.UTF-8):	System umożliwiający używanie darmowych sterowników drukarek
Name:		foomatic-db-engine
Version:	4.0.13
Release:	1
Epoch:		1
License:	GPL v2+
Group:		Applications/System
Source0:	http://www.openprinting.org/download/foomatic/%{name}-%{version}.tar.gz
# Source0-md5:	f178947ca0437d85823a247f5725e6eb
Patch0:		%{name}-cups.patch
URL:		http://www.linuxprinting.org/foomatic.html
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libxml2-devel >= 2
BuildRequires:	perl-devel
BuildRequires:	rpm-perlprov
Provides:	perl(Foomatic::GrovePath)
Suggests:	a2ps
Suggests:	foomatic-filters >= 4.0.7
Suggests:	ghostscript
Suggests:	wget
Obsoletes:	foomatic
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_ulibdir	%{_prefix}/lib

%description
Foomatic is a system for using free software printer drivers with
common spoolers on Unix. It supports LPD, PDQ, CUPS, the VA Linux LPD,
LPRng, PPR, and direct spooler-less printing and any free software
driver for which execution data has been entered in the database.

%description -l pl.UTF-8
Foomatic to system pozwalający na używanie wolnodostępnych sterowników
drukarek z popularnymi uniksowymi serwerami wydruków. Obsługuje LPD,
PDQ, CUPS, VA Linux LPD, LPRng, PPR i bezpośrednie drukowanie bez
kolejkowania oraz dowolny wolnodostępny sterownik, dla którego
parametry zostały wprowadzone do bazy danych.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal} -I .
%{__autoconf}
%configure \
	A2PS=/usr/bin/a2ps \
	GS=/usr/bin/gs \
	WGET=/usr/bin/wget \
	--disable-gscheck
%{__make} \
	PERL_INSTALLDIRS=vendor

%install
rm -rf $RPM_BUILD_ROOT

chmod +x mkinstalldirs

%{__sed} -i 's,PREFIX =.*,PREFIX = %{_prefix},g' lib/Makefile
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/foomatic/db/source/{driver,opt,printer}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO USAGE
# XXX: dir shared with foomatic-filters
%dir %{_sysconfdir}/foomatic
%attr(755,root,root) %{_bindir}/foomatic-combo-xml
%attr(755,root,root) %{_bindir}/foomatic-compiledb
%attr(755,root,root) %{_bindir}/foomatic-configure
%attr(755,root,root) %{_bindir}/foomatic-datafile
%attr(755,root,root) %{_bindir}/foomatic-perl-data
%attr(755,root,root) %{_bindir}/foomatic-ppd-options
%attr(755,root,root) %{_bindir}/foomatic-ppd-to-xml
%attr(755,root,root) %{_bindir}/foomatic-ppdfile
%attr(755,root,root) %{_bindir}/foomatic-printjob
%attr(755,root,root) %{_bindir}/foomatic-searchprinter
%attr(755,root,root) %{_sbindir}/foomatic-addpjloptions
%attr(755,root,root) %{_sbindir}/foomatic-cleanupdrivers
%attr(755,root,root) %{_sbindir}/foomatic-extract-text
%attr(755,root,root) %{_sbindir}/foomatic-fix-xml
%attr(755,root,root) %{_sbindir}/foomatic-getpjloptions
%attr(755,root,root) %{_sbindir}/foomatic-kitload
%attr(755,root,root) %{_sbindir}/foomatic-nonumericalids
%attr(755,root,root) %{_sbindir}/foomatic-preferred-driver
%attr(755,root,root) %{_sbindir}/foomatic-printermap-to-gutenprint-xml
%attr(755,root,root) %{_sbindir}/foomatic-replaceoldprinterids
%attr(755,root,root) %{_ulibdir}/cups/driver/foomatic
%{perl_vendorlib}/Foomatic
%{_datadir}/foomatic
%{_mandir}/man1/foomatic-combo-xml.1*
%{_mandir}/man1/foomatic-compiledb.1*
%{_mandir}/man1/foomatic-configure.1*
%{_mandir}/man1/foomatic-perl-data.1*
%{_mandir}/man1/foomatic-ppd-options.1*
%{_mandir}/man1/foomatic-ppdfile.1*
%{_mandir}/man1/foomatic-printjob.1*
%{_mandir}/man8/foomatic-addpjloptions.8*
%{_mandir}/man8/foomatic-getpjloptions.8*
%{_mandir}/man8/foomatic-kitload.8*
%{_mandir}/man8/foomatic-preferred-driver.8*
%changelog
* Sat May 11 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/foomatic-db-engine.git;a=log;h=master

* Sat May 11 2019 Jan Rękorajski <baggins@pld-linux.org> 2405258
- up to 4.0.13

* Fri Oct 21 2016 Jan Rękorajski <baggins@pld-linux.org> 4a75c0d
- release 2 (by relup.sh)

* Sun Mar 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 9988fc8
- updated to 4.0.9, epoch 1

* Wed Jun 15 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2c5d3e9
- up to 4.0.20110615

* Sun Feb 22 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 75abb8c
- release 4

* Sun Oct 19 2008 blekot <blekot@pld-linux.org> ee74a76
- passed proper prefix to local/Makefile (no idea how to change it in prep)

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3cebe0c
- release 3

* Mon Mar 17 2008 Jakub Bogusz <qboosh@pld-linux.org> 77990db
- unified

* Mon Mar 17 2008 Patryk Zawadzki <patrys@room-303.com> 3f3e218
- rel 2

* Mon Mar 17 2008 Patryk Zawadzki <patrys@room-303.com> c7663fc
- don't require installed cups
- don't add two destdirs to path

* Mon Mar 17 2008 Patryk Zawadzki <patrys@room-303.com> 18edcf9
- current version (ver schema changed)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 17c035c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 14e6213
- converted to UTF-8

* Sat Dec 16 2006 shadzik <shadzik@pld-linux.org> c6c62b0
- rel 3

* Sat Dec 16 2006 shadzik <shadzik@pld-linux.org> f5db6ca
- rel 2

* Thu Aug 10 2006 havner <havner@pld-linux.org> 59e4fb4
- bump BR

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> 59bceab
- adapterized (sorted %verify attrs)

* Wed Nov 23 2005 blekot <blekot@pld-linux.org> b5dcd37
- up to 3.0.2
- patch0 no longer needed. removed

* Wed Nov 23 2005 blekot <blekot@pld-linux.org> 6785dcc
- patch no longer needed. removed

* Wed Aug 11 2004 Jakub Bogusz <qboosh@pld-linux.org> 3598c89
- pass PERLPREFIX to workaround broken (not lib64-aware) perl prefix detection
- release 5

